
$(document).ready(function () {
    
    if ($('.toggle-visibility')){
        $('.toggle-visibility').on('click', function (e) {
            e.preventDefault();
            const $icon = $(this).find('.material-icons');

            $.ajax({
                url: $(this).data('url'),
                method: 'POST',
                data: { 
                    id: $(this).data('id'),
                    objet: $(this).data('objet'),
                    column: $(this).data('column'),
                },
                dataType: 'json',            
            }) 
            .fail(function (data) {
                alert('Erreur : ' + (data.responseJSON.message || 'Échec de l’opération'));
            }
            )
            .done(function (data) {
                if (data.success) {
                    $icon.text(data.new_state ? 'check' : 'close');
                    $icon.css('color', data.new_state ? 'green' : 'red');
                } else {
                    alert('Erreur : ' + (data.message || 'Échec de l’opération'));
                }
            });

        });
    }
     
    
    const fontTitleChoice = document.querySelector('#general_fontTitle')
    const fontTextChoice = document.querySelector('#general_fontText')
    const help = document.querySelectorAll('small');

    if (fontTitleChoice) {
        help[0].style.fontFamily = fontTitleChoice.value;
        fontTitleChoice.addEventListener('change', function() {
            help[0].style.fontFamily = this.value;
        });
    }

    if (fontTextChoice) {
        help[1].style.fontFamily = fontTextChoice.value;
        fontTextChoice.addEventListener('change', function() {
            help[1].style.fontFamily = this.value;
        });
    }


    const $popup = $('.popup-block');

    if($popup){
        const $btnPopup = $('.btn-default');
        const $btnClose = $('.close');
        const $overlay = $('.overlay ')

        $btnPopup.on('click', () => {
            $popup.css('display', 'block');
            $overlay.css('display', 'block');
            setTimeout(() => {
                $popup.css({
                    'opacity': '1',
                    'transform': 'translate(-50%, -50%) ',  // Se déplace à sa position initiale
                    'transition': 'all 0.5s ease'
                });
                $overlay.css({
                    'opacity': '1',
                    'transform': 'translate(0) ',  // Se déplace à sa position initiale
                    'transition': 'all 0.5s ease'
                });
            });
        });

        $btnClose.on('click ', () =>{
            $popup.css({
                'opacity': '0',
                'transform': 'translateY(-100%)',  // Déplace l'élément en bas
                'transition': 'transform 0.5s ease, opacity 0.8s ease'  // Animation fluide de la translation et de l'opacité
            });
            $overlay.css({
                'opacity': 0,
                'transform': 'translateX(-100%)',
                'transition': 'transform 0.5s ease, opacity 0.8s ease'
            });

            setTimeout(() => {
                $popup.css('display', 'none');
                $overlay.css('display', 'none');
            }, 1000);


        })


    }

});
